> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useglyde.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Initialize Collection Request

> Create a payment page URL for customers to complete payment.



## OpenAPI

````yaml post /v1/collection/initialise
openapi: 3.0.3
info:
  title: Glyde Public API
  description: Glyde API for payments, collections, transfers, and virtual accounts
  version: 1.0.0
servers:
  - url: https://api.useglyde.co
    description: Production
  - url: https://sandbox.useglyde.co
    description: Sandbox
security:
  - bearerAuth: []
tags:
  - name: Account
    description: Account verification and bank listing
  - name: Collection
    description: Accept payments from customers
  - name: Transfers
    description: Send money to bank accounts
  - name: Transactions
    description: Transaction history and details
  - name: Settlements
    description: Settlement management
  - name: Wallet
    description: Wallet balance
  - name: Verification
    description: Identity verification
  - name: Virtual Accounts
    description: Virtual account management
paths:
  /v1/collection/initialise:
    post:
      tags:
        - Collection
      summary: Initialize Collection Request
      description: Create a payment page URL for customers to complete payment.
      operationId: initializeCollection
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - currency
                - reference
                - amount
                - customer
                - channels
              properties:
                currency:
                  type: string
                  example: NGN
                reference:
                  type: string
                  example: order_12345678
                amount:
                  type: integer
                  example: 10000
                customer:
                  type: object
                  properties:
                    name:
                      type: string
                      example: John Doe
                    email:
                      type: string
                      example: john.doe@example.com
                    phone:
                      type: string
                      example: '08012345678'
                channels:
                  type: array
                  items:
                    type: string
                    enum:
                      - card_payment
                      - bank_transfer
                default_channel:
                  type: string
                  enum:
                    - card_payment
                    - bank_transfer
                meta:
                  type: object
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: success
                  message:
                    type: string
                    example: Collection Request created successfully
                  data:
                    type: object
                    properties:
                      url:
                        type: string
                        example: >-
                          https://pay.useglyde.io/f369f561-aaa4-4701-aeb1-ce79f438efc1
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````